toolzerhub API Docs

Get company profile

Returns one employer's profile by slug — the slug from a company page URL, e.g. cisco-systems-432649. data is null when the slug does not exist.

1 credit / requestBilled only on success
GET
/v1/seek/company

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

slug*string

The company's Seek slug — the part after /companies/ in the profile URL.

Match^[a-z0-9]+(?:-[a-z0-9]+)*-\d+$
Length3 <= length <= 200
curl -X GET "https://example.com/v1/seek/company?slug=cisco-systems-432649" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "slug": "cisco-systems-432649",    "url": "string",    "id": "string",    "name": "CommBank",    "canonical_url": "string",    "is_claimed": true,    "branding": {      "logo_url": "string",      "cover_url": "string"    },    "overview": {      "website_url": "https://www.commbank.com.au",      "website_display_name": "CommBank",      "size": "More than 10,000",      "industry": "Banking & Credit",      "primary_location": "Sydney, NSW",      "specialities": [        "Banking",        "Financial Services"      ],      "description": [        "string"      ]    },    "mission_statement": [      "string"    ],    "custom_statement": {      "title": "string",      "description": [        "string"      ]    },    "culture_and_values": {      "title": "string",      "description": "string",      "image_url": "string",      "values": [        {          "title": "string",          "description": "string"        }      ]    },    "featured": {      "title": "string",      "description": [        "string"      ],      "image_url": "string",      "video_url": "string"    },    "perks_and_benefits": [      {        "title": "string",        "description": "string"      }    ],    "awards": [      {        "name": "string",        "year": 0,        "image_url": "string"      }    ],    "review_rating": {      "overall": {        "rating": 0,        "percentage": 0,        "count": 0      },      "perks_and_benefits": {        "rating": 0,        "percentage": 0,        "count": 0      },      "career_opportunity": {        "rating": 0,        "percentage": 0,        "count": 0      },      "diversity": {        "rating": 0,        "percentage": 0,        "count": 0      },      "executive_management": {        "rating": 0,        "percentage": 0,        "count": 0      },      "work_life_balance": {        "rating": 0,        "percentage": 0,        "count": 0      },      "work_environment": {        "rating": 0,        "percentage": 0,        "count": 0      },      "rating_1_star": {        "rating": 0,        "percentage": 0,        "count": 0      },      "rating_2_star": {        "rating": 0,        "percentage": 0,        "count": 0      },      "rating_3_star": {        "rating": 0,        "percentage": 0,        "count": 0      },      "rating_4_star": {        "rating": 0,        "percentage": 0,        "count": 0      },      "rating_5_star": {        "rating": 0,        "percentage": 0,        "count": 0      },      "recommended": {        "rating": 0,        "percentage": 0,        "count": 0      },      "salary_poor": {        "rating": 0,        "percentage": 0,        "count": 0      },      "salary_fair": {        "rating": 0,        "percentage": 0,        "count": 0      },      "salary_generous": {        "rating": 0,        "percentage": 0,        "count": 0      }    }  }}